/* XSSFColorFilter.java

	Purpose:
		
	Description:
		
	History:
		May 5, 2016 6:28:41 PM, Created by henrichen

	Copyright (C) 2016 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.poi.xssf.usermodel;

import java.io.Serializable;

import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColorFilter;
import org.zkoss.poi.ss.usermodel.ColorFilter;
import org.zkoss.poi.ss.usermodel.DxfCellStyle;

/**
 * Support color filtering. 
 * @author henri
 * @since 3.9.11
 */
//ZSS-1191
public class XSSFColorFilter implements ColorFilter, Serializable {
	private DxfCellStyle _dxfCellStyle;
	private boolean _byFontColor;
	
	public XSSFColorFilter(DxfCellStyle dxfStyle, boolean byFontColor) {
		this._dxfCellStyle = dxfStyle;
		this._byFontColor = byFontColor;
	}
	
	@Override
	public DxfCellStyle getDxfCellStyle() {
		return _dxfCellStyle;
	}

	@Override
	public boolean isByFontColor() {
		return _byFontColor;
	}
}
